import { type ActiveRecord, type RuntimeM2MField, SubmitValue } from '@oinone/kunlun-engine';
import { FormSelectComplexFieldWidget } from '../../../../basic';
export declare class FormM2MSelectFieldWidget extends FormSelectComplexFieldWidget<ActiveRecord[], RuntimeM2MField> {
    initialize(props: any): this;
    change(value: any): void;
    submit(submitValue: SubmitValue): Promise<Record<string, unknown> | undefined>;
    protected mounted(): Promise<void>;
}
export declare const FormM2MFieldSelectWidget: typeof FormM2MSelectFieldWidget;
